package com.steerinfo.baseinfo.meterbasetermtaredata.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="期限皮重数据维护表")
public class MeterBaseTermTareData implements IBasePO<String> {
    /**
     * 数据编号（YYYYMMDD+4位流水）(DATA_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="数据编号（YYYYMMDD+4位流水）",required=true)
    private String dataNo;

    /**
     * 皮重计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="皮重计量点编号",required=true)
    private String baseSpotNo;

    /**
     * 皮重计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="皮重计量点名称",required=true)
    private String baseSpotName;

    /**
     * 车号(CAR_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车号",required=true)
    private String carNo;

    /**
     * 皮重计量员(METER_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="皮重计量员",required=false)
    private String meterName;

    /**
     * 皮重计量时间(YYYY-MM-DD HH:mm:ss)(METER_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="皮重计量时间(YYYY-MM-DD HH:mm:ss)",required=true)
    private Date meterTime;

    /**
     * 有效开始时间(YYYY-MM-DD HH:mm:ss)(START_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="有效开始时间(YYYY-MM-DD HH:mm:ss)",required=true)
    private Date startTime;

    /**
     * 有效结束时间(YYYY-MM-DD HH:mm:ss)(END_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="有效结束时间(YYYY-MM-DD HH:mm:ss)",required=true)
    private Date endTime;

    /**
     * 提醒留皮时间(YYYY-MM-DD HH:mm:ss)(WARN_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="提醒留皮时间(YYYY-MM-DD HH:mm:ss)",required=true)
    private Date warnTime;

    /**
     * 上一次皮重(KG)(UP_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="上一次皮重(KG)",required=false)
    private Long upWeight;

    /**
     * 平均皮重(KG)(AVG_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="平均皮重(KG)",required=false)
    private Long avgWeight;

    /**
     * 状态(0：有效；1：无效)(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态(0：有效；1：无效)",required=true)
    private String valueFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(YYYY-MM-DD HH:mm:SS)(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间(YYYY-MM-DD HH:mm:SS)",required=true)
    private Date createTime;

    /**
     * 皮重次数(METER_NUM,DECIMAL,10)
     */
    @ApiModelProperty(value="皮重次数",required=false)
    private Long meterNum;

    /**
     * 皮重数据(KG)(METER_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="皮重数据(KG)",required=true)
    private BigDecimal meterWeight;

    /**
     * 计量点所属区域编码(SPOT_AREA_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点所属区域编码",required=false)
    private String spotAreaNo;

    /**
     * 计量点所属区域名称(SPOT_AREA_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点所属区域名称",required=false)
    private String spotAreaName;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 操作原因(NOTE,VARCHAR,255)
     */
    @ApiModelProperty(value="操作原因",required=false)
    private String note;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.dataNo;
    }

    @Override
    public void setId(String dataNo) {
        this.dataNo = dataNo == null ? null : dataNo.trim();
    }

    public String getDataNo() {
        return dataNo;
    }

    public void setDataNo(String dataNo) {
        this.dataNo = dataNo == null ? null : dataNo.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public String getMeterName() {
        return meterName;
    }

    public void setMeterName(String meterName) {
        this.meterName = meterName == null ? null : meterName.trim();
    }

    public Date getMeterTime() {
        return meterTime;
    }

    public void setMeterTime(Date meterTime) {
        this.meterTime = meterTime;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Date getWarnTime() {
        return warnTime;
    }

    public void setWarnTime(Date warnTime) {
        this.warnTime = warnTime;
    }

    public Long getUpWeight() {
        return upWeight;
    }

    public void setUpWeight(Long upWeight) {
        this.upWeight = upWeight;
    }

    public Long getAvgWeight() {
        return avgWeight;
    }

    public void setAvgWeight(Long avgWeight) {
        this.avgWeight = avgWeight;
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getMeterNum() {
        return meterNum;
    }

    public void setMeterNum(Long meterNum) {
        this.meterNum = meterNum;
    }

    public BigDecimal getMeterWeight() {
        return meterWeight;
    }

    public void setMeterWeight(BigDecimal meterWeight) {
        this.meterWeight = meterWeight;
    }

    public String getSpotAreaNo() {
        return spotAreaNo;
    }

    public void setSpotAreaNo(String spotAreaNo) {
        this.spotAreaNo = spotAreaNo == null ? null : spotAreaNo.trim();
    }

    public String getSpotAreaName() {
        return spotAreaName;
    }

    public void setSpotAreaName(String spotAreaName) {
        this.spotAreaName = spotAreaName == null ? null : spotAreaName.trim();
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note == null ? null : note.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", dataNo=").append(dataNo);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", carNo=").append(carNo);
        sb.append(", meterName=").append(meterName);
        sb.append(", meterTime=").append(meterTime);
        sb.append(", startTime=").append(startTime);
        sb.append(", endTime=").append(endTime);
        sb.append(", warnTime=").append(warnTime);
        sb.append(", upWeight=").append(upWeight);
        sb.append(", avgWeight=").append(avgWeight);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", meterNum=").append(meterNum);
        sb.append(", meterWeight=").append(meterWeight);
        sb.append(", spotAreaNo=").append(spotAreaNo);
        sb.append(", spotAreaName=").append(spotAreaName);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", note=").append(note);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}